services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  # Registriere automatisch alle Klassen aus dem Namespace
  Medienreaktor\Products\:
    resource: '../Classes/*'

  # Spezifische Konfiguration für CartDataService
  Medienreaktor\Products\Service\CartDataService:
    arguments:
      $productDataService: '@Medienreaktor\Products\Service\ProductDataService'
      $pageRepository: '@Medienreaktor\Products\Domain\Repository\PageRepository'